Bullet Collision Detection & Physics Library: btLemkeSolver Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btLemkeSolver Class Reference

original version written by Erwin Coumans, October 2013 More...

`#include <btLemkeSolver.h>`

Inheritance diagram for btLemkeSolver:
[legend]
Collaboration diagram for btLemkeSolver:
[legend]

## Public Member Functions
| btLemkeSolver ()
virtual bool | solveMLCP (const btMatrixXu &A, const btVectorXu &b, btVectorXu &x, const btVectorXu &lo, const btVectorXu &hi, const btAlignedObjectArray< int > &limitDependency, int numIterations, bool useSparsity=true)
Public Member Functions inherited from btMLCPSolverInterface
virtual | ~btMLCPSolverInterface ()

## Public Attributes
btScalar | m_maxValue
int | m_debugLevel
int | m_maxLoops
bool | m_useLoHighBounds

## Detailed Description

original version written by Erwin Coumans, October 2013

The btLemkeSolver is based on "Fast Implementation of Lemke’s Algorithm for Rigid Body Contact Simulation (John E. Lloyd) " It is a slower but more accurate solver. Increase the m_maxLoops for better convergence, at the cost of more CPU time. The original implementation of the btLemkeAlgorithm was done by Kilian Grundl from the MBSim team

Definition at line 30 of file btLemkeSolver.h.

## Constructor & Destructor Documentation

## ◆ btLemkeSolver()

btLemkeSolver::btLemkeSolver | ( |  | ) |
| inline

Definition at line 43 of file btLemkeSolver.h.

## Member Function Documentation

## ◆ solveMLCP()

virtual bool btLemkeSolver::solveMLCP | ( | const btMatrixXu & | A,
|  | const btVectorXu & | b,
|  | btVectorXu & | x,
|  | const btVectorXu & | lo,
|  | const btVectorXu & | hi,
|  | const btAlignedObjectArray< int > & | limitDependency,
|  | int | numIterations,
|  | bool | useSparsity = `true`
| ) |  |
| inlinevirtual

Implements btMLCPSolverInterface.

Definition at line 50 of file btLemkeSolver.h.

## Member Data Documentation

## ◆ m_debugLevel

int btLemkeSolver::m_debugLevel

Definition at line 37 of file btLemkeSolver.h.

## ◆ m_maxLoops

int btLemkeSolver::m_maxLoops

Definition at line 38 of file btLemkeSolver.h.

## ◆ m_maxValue

btScalar btLemkeSolver::m_maxValue

Definition at line 36 of file btLemkeSolver.h.

## ◆ m_useLoHighBounds

bool btLemkeSolver::m_useLoHighBounds

Definition at line 39 of file btLemkeSolver.h.

The documentation for this class was generated from the following file:

- btLemkeSolver.h